summaryrefslogtreecommitdiffstats
path: root/office/abook/abook.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-12 17:44:33 +0200
committer Robby Workman2010-05-12 17:44:33 +0200
commit5a1d923a220b3615123671d28ed5ce0c035fabc4 (patch)
treea5f9c9a53f7cbe5461d1f290524259aac1f46b9c /office/abook/abook.SlackBuild
parent9d63d225b412a214f3b9f2d140956e10e79b7e39 (diff)
downloadslackbuilds-5a1d923a220b3615123671d28ed5ce0c035fabc4.tar.gz
office/abook: Updated for version 0.5.6
Diffstat (limited to 'office/abook/abook.SlackBuild')
-rw-r--r--office/abook/abook.SlackBuild30
1 files changed, 18 insertions, 12 deletions
diff --git a/office/abook/abook.SlackBuild b/office/abook/abook.SlackBuild
index e06ff8705a..84a04aa07d 100644
--- a/office/abook/abook.SlackBuild
+++ b/office/abook/abook.SlackBuild
@@ -3,6 +3,8 @@
# Slackware build script for abook
# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +24,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
-set -e
-
PRGNAM=abook
VERSION=0.5.6
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,31 +41,38 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+# Exit on most errors.
+set -e
+
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --mandir=/usr/man \
+ --localstatedir=/var \
make
make install-strip DESTDIR=$PKG
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -iname '*.[1-9]' -exec gzip -9 {} \;
- )
-fi
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ABOUT-NLS ANNOUNCE AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS \